Package org.a2aproject.sdk.grpc
Interface GetTaskPushNotificationConfigRequestOrBuilder
- All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder,com.google.protobuf.MessageOrBuilder
- All Known Implementing Classes:
GetTaskPushNotificationConfigRequest,GetTaskPushNotificationConfigRequest.Builder
@Generated
public interface GetTaskPushNotificationConfigRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
-
Method Summary
Modifier and TypeMethodDescriptiongetId()The resource ID of the configuration to retrieve.com.google.protobuf.ByteStringThe resource ID of the configuration to retrieve.The parent task resource ID.com.google.protobuf.ByteStringThe parent task resource ID.Optional.com.google.protobuf.ByteStringOptional.Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
isInitializedMethods inherited from interface com.google.protobuf.MessageOrBuilder
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
-
Method Details
-
getTenant
String getTenant()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The tenant.
-
getTenantBytes
com.google.protobuf.ByteString getTenantBytes()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The bytes for tenant.
-
getTaskId
String getTaskId()The parent task resource ID.
string task_id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The taskId.
-
getTaskIdBytes
com.google.protobuf.ByteString getTaskIdBytes()The parent task resource ID.
string task_id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The bytes for taskId.
-
getId
String getId()The resource ID of the configuration to retrieve.
string id = 3 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The id.
-
getIdBytes
com.google.protobuf.ByteString getIdBytes()The resource ID of the configuration to retrieve.
string id = 3 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The bytes for id.
-